<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.platform.mapper.UserFeedbacksMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="userFeedbacksResultMap" type="org.springblade.modules.platform.entity.UserFeedbacks">
        <id column="id" property="id"/>
        <result column="user_id" property="userId"/>
        <result column="type" property="type"/>
        <result column="content" property="content"/>
        <result column="phone" property="phone"/>
        <result column="state" property="state"/>
        <result column="create_time" property="createTime"/>
        <result column="staff_id" property="staffId"/>
        <result column="handle_time" property="handleTime"/>
        <result column="handle_content" property="handleContent"/>
    </resultMap>


    <select id="selectUserFeedbacksPage" resultMap="userFeedbacksResultMap">
        select * from t_user_feedbacks where is_deleted = 0
    </select>

</mapper>
